<html>
<!--    cibl&eacute; par: gestion-contrat.php 

		cible:  gestion-contrat.php						
 -->
 
 <!-- param&egrave;tre &eacute;mis:        -session_id         le num&eacute;ro de la session
							-code_contrat
							-code_client

	 param&egrave;tre re&ccedil;evable :  -session_id         le num&eacute;ro de la session
	 						-code_contrat
							-code_client
	 
 -->	
 <head>
 
<!--**************************SCRIPT POUR LE CALCUL AUTOMATIQUE DANS LES CELLULES*********************** --> 
<script type="text/javascript">
<!--
function majligne()
{
	var result;
	result = ((document.ajout_cafeteria.nb_personne.value) * (document.ajout_cafeteria.nb_repas.value) * (document.ajout_cafeteria.prix_par_repas.value))+((document.ajout_cafeteria.lunchpm.value) * (document.ajout_cafeteria.prix_lunchpm.value));
	document.ajout_cafeteria.prix.value = Math.round(result*100)/100;
}
//-->
</script> 
<!--**************************************************************************************************** --> 
 
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>Ajout d'une cafeteria</title>
<body>

<?php 

//Fichiers contenant les fonctions utilis&eacute;es dans le script.
require("../outils/gui.php");
require("../outils/session.php");
require("../outils/mise_en_page.php");
require("gestion-poste.php");
require("../historique.php");


//V&eacute;rifier si la session est valide.
$Bsession_id = $_GET["Bsession_id"];
verifierSession($Bsession_id);

//V&eacute;rifier les droits de l'utilisateur.
$privilege_base = lirePrivilege($Bsession_id);
if ($privilege_base != 2)
	die("Vous n'avez pas les droits!");
 
$code_contrat = $_GET["code_contrat"];
$etape = $_GET["etape"];
$nb_personne = $_GET["nb_personne"];
$nb_repas = $_GET["nb_repas"];
$prix_par_repas = $_GET["prix_par_repas"];
$lunchpm = $_GET["lunchpm"];
$prix_lunchpm = $_GET["prix_lunchpm"];
$prix = $_GET["prix"];
$escompte = $_GET["escompte"];
$commentaire_cafe = $_GET["commentaire_cafe"]; 
  

  
	
	

//*****************************************************************************************************
// afficher les r&eacute;sultats *****************************************************************************
//*****************************************************************************************************

  
	

if ($etape ==1)//enregistrer les donn&eacute;es
{
			$prix_plein_total = ($nb_personne * $nb_repas * $prix_par_repas) + ($lunchpm * $prix_lunchpm);
			 $sql = "insert into base_cafeteria
					         set num_cafeteria = '1',
					  	         code_contrat = '$code_contrat',
							     nb_pers = '$nb_personne',
								 nb_repas = '$nb_repas',
								 lunchpm = '$lunchpm',
								 prix_lunchpm = '$prix_lunchpm',
								 prix_par_repas = '$prix_par_repas',
							     prix_plein = '$prix_plein_total',
							     prix_rabais = '$escompte',
								 commentaire = '$commentaire_cafe',
							     actif = 'O',
							     date_modif = now(),
							     mis_a_jour = now();";
			$result = mysql_query($sql) or die("Probl&egrave;me de cr&eacute;ation de cafeteria!<br>".$sql);

	GestionPoste(3,$type,$code_contrat,$code_client,0,$escompte,0,0);		
	print("L'enregistrement &agrave; &eacute;t&eacute; un succ&egrave;s.<br><br><br>");
	historique("../historique.txt","---ajout nbpersonne: ".$nb_personne.", nb_repas: ".$nb_repas.", prixrepas: ".$prix_par_repas.", lunchpm: ".$lunchpm.", prixlunch: ".$prix_lunchpm.", prix: ".$prix_plein_total.", rabais: ".$escompte."",$Bsession_id);	
}	
	
	
	
if (empty($etape))//entrer les donn&eacute;es
{	
	historique("../historique.txt","MENU AJOUT D'UNE CAFETERIA",$Bsession_id);
	print("<center><table cellspacing=0 cellpadding=0 width=800px border=0>");
	print("<tr><td bgcolor=white width=27px><img src=coin-haut-gauche.gif></td>");
	print("<td bgcolor=#636300><center><font face=Arial,Helvetica size=3 color=white><b>Ajout d'une caf&eacute;t&eacute;ria</b></td>");
	print("<td bgcolor=white width=27px><img src=coin-haut-droit.gif></td>");
	print("</td></tr></table>");

	//titre	   
	print("<table cellspacing=0 cellpadding=0 width=800px border=0>");	
	print("<tr><td bgcolor=#D6E4AC>");
	print("<b>Nb de personne</b>");
	print("</td><td bgcolor=#C8DB8D>");
	print("<b>Nb de repas</b>");
	print("</td><td bgcolor=#C8DB8D>");
	print("<b>Prix / repas</b>");
	print("</td><td bgcolor=#D6E4AC>");
	print("<b>Nb lunch PM :</b>");
	print("</td><td bgcolor=#D6E4AC>");
	print("<b>Prix / lunch :</b>");
	print("</td><td bgcolor=#D6E4AC>");
	print("<b>Prix</b>");	
	print("</td><td bgcolor=#C8DB8D>");
	print("<b>Escompte</b>");	
	print("</td></tr>");	
	
	

	print("<form action=\"ajout-cafeteria.php?Bsession_id=".$Bsession_id."\" method=get name=ajout_cafeteria>");
	print("<input type=\"hidden\" name=\"Bsession_id\" value=\"".$Bsession_id."\">");
	print("<input type=\"hidden\" name=\"code_contrat\" value=\"".$code_contrat."\">");
	print("<input type=\"hidden\" name=\"etape\" value=\"1\">");	
	print("</td></tr><tr><td bgcolor=#D6E4AC valign=top>");
	

	
	//nb de personne
	print("<input type=\"text\" name=\"nb_personne\" align=\"top\" maxlength=\"10\" size=\"10\">");
	print("</td><td bgcolor=#C8DB8D>");
	//nb de repas
	print("<input name=nb_repas align=top maxlength=10 size=10 onChange=majligne();>");
	print("</td><td bgcolor=#D6E4AC>");
	//prix / repas
	print("<input name=prix_par_repas align=top maxlength=15 size=15 onChange=majligne();>");
	print("</td><td bgcolor=#C8DB8D>");
	//Nb lunch PM :
	print("<input name=lunchpm align=top maxlength=15 size=15 onChange=majligne();>");
	print("</td><td bgcolor=#C8DB8D>");
	//prix / lunch
	print("<input name=prix_lunchpm align=top maxlength=15 size=15 onChange=majligne();>");
	print("</td><td bgcolor=#D6E4AC>");	
	//prix
	print("<input name=prix align=top maxlength=15 size=15 DISABLED onfocus='this.blur();'>");
	print("</td><td bgcolor=#D6E4AC>");	
	//nb de repas
	print("<input name=escompte align=top maxlength=15 size=15>");
	print("</td></tr>");
	
	//commentaire
	print("<tr><td colspan=7 bgcolor=#D6E4AC><b>Commentaire:</b><br>");
	print("<textarea name=commentaire_cafe rows=3 cols=96 wrap=PHYSICAL></textarea><BR></td></tr>");
	
	//bouton ajouter
	print("<tr><td bgcolor=#E7EFCE colspan = 7><b><center><div align=right>");	
	print("<input type=\"submit\" value=\"Ajouter\"></form>");
	print("</td></tr></table>");
	
print("<center><table cellspacing=0 cellpadding=0 width=800px border=0>");
print("<tr><td bgcolor=white width=27px><img src=coin-bas-gauche.gif></td>");
print("<td bgcolor=#636300 width=746px></td>");
print("<td bgcolor=white width=27px><img src=coin-bas-droit.gif></td>");
print("</tr></table>");		
	
}


	
?>

</body>
</html>	
	
	
	
	
